Hello,
I have completed all of my analysis on MATLAB and now am planning to use this data in design automation on Solidworks. I have all the dimensions of the part and have also recorded the macro to design this part.
I have found a way to link MATLAB and CATIA(https://in.mathworks.com/matlabcentral/answers/15228-link-catia-to-matlab). But I want to do the same with Solidworks.
Is there a way to form an interface between MATLAB and Solidworks using ActiveX?
If not, is there any other way to open the Solidworks Application, access the macro script to design the model, save the model and close the Solidwork application, all using MATLAB?
I tried using 'SldWorks' as program id. But it did not seem to work:
swApp= actxserver(SldWorks.Application);
part = invoke(swApp, 'New Part');